# $Revision: 1.35 $, $Date: 2004/05/07 01:09:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Chatbot
%define		pnam	Eliza
Summary:	Chatbot::Eliza Perl module - a clone of the classic Eliza program
Summary(pl):	Modu Perla Chatbot::Eliza - klon klasycznego programu Eliza
Name:		perl-Chatbot-Eliza
Version:	1.04
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	754199bbe591eaa11301aee108586fcd
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chatbot::Eliza Perl module implements classic Eliza algorithm.  The
original Eliza program was written by Joseph Weizenbaum and described
in the Communications of the ACM in 1966.  Eliza is a mock Rogerian
psychotherapist.  It prompts for user input, and uses a simple
transformation algorithm to change user input into a follow-up
question.  The program is designed to give the appearance of
understanding.

%description -l pl
Modu Perla Chatbot::Eliza stanowi implementacj klasycznego algorytmu
Eliza. Oryginalny program Eliza zosta napisany przez Josepha
Weizenbauma i opisany w Communications of the ACM w 1966. Eliza jest
imitacj zabawnego psychoterapeuty. Prosi uytkownika o informacje i,
uywajc prostego algorytmu transformacyjnego, zmienia informacje
uytkownika w nastpne pytanie. Program zaprojektowano aby
zaprezentowa rozumienie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README *txt twobots
%dir %{perl_vendorlib}/Chatbot
%{perl_vendorlib}/Chatbot/Eliza.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Chatbot-Eliza.spec,v $
Revision 1.35  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.34  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/26 13:39:09  ankry
- added tests

Revision 1.32  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.30  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:37:37  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:27:57  ankry
- massive attack: change CPAN URLs

Revision 1.22  2003/02/05 16:17:19  ankry
- autoupdated to 1.04

Revision 1.21  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 05:56:28  kloczek
- cosmetics.

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:24:42  depesz
adapterized

Revision 1.14  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:06:27  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/29 15:44:56  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:36:07  pius
- updated to 0.97

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:04:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
